## cloud-init 20.1-10-g71af48df

=== debian/changelog ===
cloud-init (20.1-10-g71af48df-0ubuntu5) focal; urgency=medium

  * cherry-pick 0c5c7367: test_mounts: expand happy path test for both
    happy paths

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 16 Apr 2020 11:23:08 -0400

cloud-init (20.1-10-g71af48df-0ubuntu4) focal; urgency=medium

  * cherry-pick 9d7b35ce: cc_mounts: fix incorrect format specifiers
    (#316) (LP: #1872836)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 15 Apr 2020 15:09:04 -0600

cloud-init (20.1-10-g71af48df-0ubuntu3) focal; urgency=medium

  * d/patches: redact openbsd netbsd from tests until new-upstream-snapshot
    - fix-cpick-4fb6fd8a-net-ubuntu-focal-prioritize-netplan-over-eni
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)
  * cherry-pick 986f37b0: cloudinit: move to pytest for running tests
    (#211)
  * cherry-pick 4fb6fd8a: net: ubuntu focal prioritize netplan over eni
    even if both (LP: #1867029)
  * cherry-pick 04771d75: cc_disk_setup: fix RuntimeError (#270) (LP:
    #1868327)
  * cherry-pick c5e949c0: distros/tests/test_init: add tests for
  * cherry-pick 2566fdbe: net: introduce is_ip_address function (#288)
  * cherry-pick 4f825b3e: cloudinit: refactor util.is_ipv4 to
    net.is_ipv4_address
  * cherry-pick c478d0bf: distros: replace invalid characters in mirror
    URLs with (LP: #1868232)
  * cherry-pick 1bbc4908: distros: drop leading/trailing hyphens from
    mirror URL labels
  * cherry-pick 09fea85f: net: ignore 'renderer' key in netplan config
    (#306) (LP: #1870421)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 Apr 2020 13:57:52 -0600

cloud-init (20.1-10-g71af48df-0ubuntu2) focal; urgency=medium

  * d/control: add python3-pytest to Build-Depends
    - This fixes upstream daily builds.  python3-nose is not removed from
      Build-Depends because, currently, the Ubuntu package builds will still
      use it for testing.
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Mar 2020 14:01:37 -0600

cloud-init (20.1-10-g71af48df-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - instance-data: add cloud-init merged_cfg and sys_info keys to json
      (#214) (LP: #1865969)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Mar 2020 11:14:53 -0600

cloud-init (20.1-9-g1f860e5a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot: bug-fix-only during feature freeze
    - ec2: Do not fallback to IMDSv1 on EC2 (#216)
      [Frederick Lefebvre] (LP: #1866290)
    - instance-data: write redacted cfg to instance-data.json (#233)
      (LP: #1865947)
    - net: support network-config:disabled on the kernel commandline (#232)
      (LP: #1862702)
    - ec2: only redact token request headers in logs, avoid altering request
      (#230) (LP: #1865882)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Mar 2020 11:01:15 -0700

cloud-init (20.1-5-g67c8e53c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - docs: typo fixed: dta → data [Alexey Vazhnov]
    - Fixes typo on Amazon Web Services (#217) [Nick Wales]
    - Fix docs for OpenStack DMI Asset Tag (#228)
      [Mark T. Voelker] (LP: #1669875)
    - Add physical network type: cascading to openstack helpers (#200)
      [sab-systems]
    - tests: add focal integration tests for ubuntu (#225)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 27 Feb 2020 16:56:16 -0700

cloud-init (20.1-0ubuntu1) focal; urgency=medium

  * New upstream release.
    - Release 20.1 (#222) (LP: #1863954)
    - Update tooling for GitHub-based new releases (#223)
    - ec2: Do not log IMDSv2 token values, instead use REDACTED (#219)
      (LP: #1863943)
    - utils: use SystemRandom when generating random password. (#204)
      [Dimitri John Ledkov]
    - docs: mount_default_files is a list of 6 items, not 7 (#212)
    - azurecloud: fix issues with instances not starting (#205) (LP: #1861921)
    - unittest: fix stderr leak in cc_set_password random unittest
      output. (#208)
    - cc_disk_setup: add swap filesystem force flag (#207)
    - import sysvinit patches from freebsd-ports tree (#161) [Igor Galić]
    - docs: fix typo (#195) [Edwin Kofler]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 20 Feb 2020 16:36:44 -0500

cloud-init (19.4-56-g06e324ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - sysconfig: distro-specific config rendering for BOOTPROTO option (#162)
      [Robert Schweikert] (LP: #1800854)
    - cloudinit: replace "from six import X" imports (except in util.py) (#183)
    - run-container: use 'test -n' instead of 'test ! -z' (#202)
      [Paride Legovini]
    - net/cmdline: correctly handle static ip= config (#201)
      [Dimitri John Ledkov] (LP: #1861412)
    - Replace mock library with unittest.mock (#186)
    - HACKING.rst: update CLA link (#199)
    - Scaleway: Fix DatasourceScaleway to avoid backtrace (#128)
      [Louis Bouchard]
    - cloudinit/cmd/devel/net_convert.py: add missing space (#191)
    - tools/run-container: drop support for python2 (#192) [Paride Legovini]
    - Print ssh key fingerprints using sha256 hash (#188) (LP: #1860789)
    - Make the RPM build use Python 3 (#190) [Paride Legovini]
    - cc_set_password: increase random pwlength from 9 to 20 (#189)
      (LP: #1860795) (CVE-2020-8632)
    - .travis.yml: use correct Python version for xenial tests (#185)
    - cloudinit: remove ImportError handling for mock imports (#182)
    - Do not use fallocate in swap file creation on xfs. (#70)
      [Eduardo Otubo] (LP: #1781781)
    - .readthedocs.yaml: install cloud-init when building docs (#181)
      (LP: #1860450)
    - Introduce an RTD config file, and pin the Sphinx version to the RTD
      default (#180)
    - Drop most of the remaining use of six (#179)
    - Start removing dependency on six (#178)
    - Add Rootbox & HyperOne to list of cloud in README (#176) [Adam Dobrawy]

