=== debian/changelog ===
cloud-init (20.2-2~deb10u2) buster; urgency=high

  * Avoid logging generated passwords to world-readable log files.
    CVE-2021-3429. (Closes: #985540)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Mar 2021 09:43:23 -0700

cloud-init (20.2-2~deb10u1) buster; urgency=medium

  * Release for buster.  No further changes.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Jun 2020 17:20:38 -0700

cloud-init (20.2-2) unstable; urgency=medium

  * Add missing Build-Dep on python3-pytest

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 17:27:07 -0700

cloud-init (20.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patches that have been merged upstream
  * Switch to pytest for running tests, per upstream change

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 16:07:52 -0700

cloud-init (20.1-2) unstable; urgency=medium

  * Fix python 3.8 incompatibility (Closes: #954276)
  * Cherry-pick fa1abfec2705 (ec2: only redact token request headers in
    logs, avoid altering request) from upstream. (Closes: #954363)
  * Cherry-pick 1f860e5ac7eb (ec2: Do not fallback to IMDSv1 on EC2) from
    upstream.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Mar 2020 09:02:27 -0700

cloud-init (20.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream:
    - CVE-2020-8631.patch
    - CVE-2020-8632.patch
  * Refresh patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
  * Reduce cloud-guest-utils from Depends to Recommends
  * Bump standards version to 4.5.0 (no changes needed)
  * Remove Charles Plessy <plessy@debian.org> from uploaders, as he is no
    longer active in the cloud team.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 13 Mar 2020 14:26:55 -0700

cloud-init (19.4-2) unstable; urgency=medium

  * Import upstream fix for CVE-2020-8632.  rand_user_password generates
    passwords of insufficient length.  (Closes: #951363)
  * Import upstream fix for CVE-2020-8631.  Cloud-init uses an insufficient
    source of randomness when generating passwords. (Closes: #951362)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Feb 2020 14:17:28 -0800

cloud-init (19.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to note dual-dual license status (Closes: #866613)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 14 Feb 2020 16:37:08 -0800
