## cloud-init 20.4.1

=== debian/changelog ===
cloud-init (20.4.1-2+deb11u1) bullseye; urgency=high

  * Team upload.
  * cherry-pick upstream fix for duplicate includes in /etc/sudoers
    (Closes: #991629)

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 12 Aug 2021 18:47:26 -0600

cloud-init (20.4.1-2) unstable; urgency=high

  * Avoid logging generated passwords to world-readable log files.
    CVE-2021-3429. (Closes: #985540)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Mar 2021 09:18:59 -0700

cloud-init (20.4.1-1) unstable; urgency=medium

  * d/watch: switch upstream to github
  * New upstream version 20.4.1

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Jan 2021 10:27:39 -0800

cloud-init (20.4-1) unstable; urgency=medium

  * New upstream version 20.4
  * Clarifiy comments and spelling in default cloud.cfg (Closes: #971582)
  * d/copyright: Clean up formatting
  * Clean up lintian overrides
  * Suppress lintian warning about Z99-cloud-locale-test.sh

 -- Noah Meyerhans <noahm@debian.org>  Wed, 25 Nov 2020 19:29:14 -0800

cloud-init (20.2-3) unstable; urgency=medium

  * Ignore all of test_datasource/test_opennebula.py, as tests are failing
    under Python 3.9, and I don't think anyone cares about opennebula anymore.
    Anyone willing to fix is welcome to send a MR. (Closes: #973062)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Oct 2020 18:23:20 +0100
