=== debian/watch ===
version=3
https://launchpad.net/cloud-init https://launchpad.net/cloud-init/.*/cloud-init-(.*).tar.gz
